curl --request POST \
--url https://api.mycreditapp.ai/v1-beta/credit-applications/credit-terms/{credit_application_id}/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--header 'Requester-Organization-ID: <requester-organization-id>' \
--header 'Target-Organization-ID: <target-organization-id>' \
--form uploading_file='@example-file'import requests
url = "https://api.mycreditapp.ai/v1-beta/credit-applications/credit-terms/{credit_application_id}/files"
files = { "uploading_file": ("example-file", open("example-file", "rb")) }
headers = {
"Requester-Organization-ID": "<requester-organization-id>",
"Target-Organization-ID": "<target-organization-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('uploading_file', '<string>');
const options = {
method: 'POST',
headers: {
'Requester-Organization-ID': '<requester-organization-id>',
'Target-Organization-ID': '<target-organization-id>',
Authorization: 'Bearer <token>'
}
};
options.body = form;
fetch('https://api.mycreditapp.ai/v1-beta/credit-applications/credit-terms/{credit_application_id}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mime_type": "<string>",
"filename": "<string>"
}{
"detail": [
{
"loc": [],
"msg": "Invalid file format (allowed formats: {'application/zip', 'application/vnd.rar', 'application/vnd.openxmlformats-officedocument.wordprocessingml.document', 'application/vnd.ms-excel', 'application/pdf', 'application/x-7z-compressed', 'application/x-rar-compressed', 'application/msword', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet'})!",
"type": "request",
"code": "credit_application_trade_profile_document_not_allowed_file_type"
},
{
"loc": [],
"msg": "The file name is missing or invalid!",
"type": "request",
"code": "credit_application_trade_profile_document_invalid_file_name"
},
{
"loc": [],
"msg": "Uploaded file size is larger than the allowed size (allowed size: 10485760 bytes)!",
"type": "request",
"code": "credit_application_trade_profile_document_invalid_file_size"
},
{
"loc": [],
"msg": "Unsupported CRUD operation!",
"type": "request",
"code": "unsupported_crud_operation"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Token is required!",
"type": "token",
"code": "token_required"
},
{
"loc": [],
"msg": "The token has expired!",
"type": "token",
"code": "token_expired"
},
{
"loc": [],
"msg": "Invalid token!",
"type": "token",
"code": "invalid_token"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Creating credit application for your own organization is forbidden!",
"type": "request",
"code": "create_credit_application_access_denied"
},
{
"loc": [],
"msg": "Access denied!",
"type": "request",
"code": "access_denied"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Account not found!",
"type": "request",
"code": "account_not_found"
},
{
"loc": [],
"msg": "Credit application not found!",
"type": "request",
"code": "credit_application_not_found"
},
{
"loc": [],
"msg": "Organization not found!",
"type": "request",
"code": "organization_not_found"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The account is in the process of being deleted! The Account's email can only be reused after its data has been completely deleted. The removal process may take up to 24 hours.",
"type": "request",
"code": "account_being_deleted"
},
{
"loc": [],
"msg": "Trade profile document already exists!",
"type": "request",
"code": "credit_application_trade_profile_document_already_exists"
},
{
"loc": [],
"msg": "The organization is in the process of being deleted! The removal process may take up to 24 hours.",
"type": "request",
"code": "organization_being_deleted"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The request is too large!",
"type": "request",
"code": "request_too_large"
}
]
}{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string",
"code": "validation_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Error processing request, please try later!",
"type": "try_later",
"code": "internal_conflict_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Service is under maintenance, please try later!",
"type": "maintanance",
"code": "service_under_maintenance"
}
]
}Upload credit terms trade profile file
Upload a trade profile file for a credit terms application.
Authorization scenarios
| Guest | Host | Self |
|---|---|---|
| ✅ | ❌ | ❌ |
Authorizations
Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.
Headers
The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.
"054b4106-174b-46b0-97f8-86d8d7b6f0af"
The unique identifier of the organization that is the target of the request.
The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources.
If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.
"123e4567-e89b-12d3-a456-426614174000"
Path Parameters
Unique identifier of the credit application
"b2a9f8d3-7b7d-4c1b-a2a1-9c2d0b123456"
Body
Response
Successful Response
Media type of the uploaded file, must be on of: application/zip, application/vnd.rar, application/vnd.openxmlformats-officedocument.wordprocessingml.document, application/vnd.ms-excel, application/pdf, application/x-7z-compressed, application/x-rar-compressed, application/msword, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
"application/pdf"
"application/zip"
Credit application trade profile document filename
"invoice1.pdf"